%global momorel 2
%global gstreamer_ver 0.8.9
%global artsver 1.3.2

Summary: GStreamer streaming media framework runtime.
Name: gst-plugins
Version: 0.8.8
Release: %{momorel}m
Group: System Environment/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/
%NoSource 0 http://gstreamer.freedesktop.org/src/gst-plugins/%{name}-%{version}.tar.bz2 4f6e7e730fa674ecd6ec713f937b8acb
Patch0: gst-plugins-0.5.0.ppc.patch
#Patch1: gst-plugins-0.5.1-plugindir.patch
#Patch2: gst-plugins-0.6.4-alsa-lib-1.0.0-API_change.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildPrereq: gstreamer-devel >= %{gstreamer_ver}
BuildPrereq: pkgconfig >= 0.15.0
BuildPrereq: GConf-devel >= 2.6.0
BuildPrereq: gtk+-devel >= 2.4.0
BuildPrereq: pango-devel
BuildPrereq: gnome-vfs-devel >= 2.6.0
BuildPrereq: mjpegtools-devel
BuildPrereq: xorg-x11-devel
BuildPrereq: SDL-devel >= 1.2.7-11m
BuildPrereq: libshout-devel >= 2.1-1m
BuildPrereq: Hermes-devel >= 1.3.0
BuildPrereq: alsa-lib-devel >= 1.0.5-2m
BuildPrereq: arts-devel >= %{artsver}
BuildPrereq: audiofile-devel >= 0.2.1
BuildPrereq: cdparanoia-devel >= alpha9.7
BuildPrereq: esound-devel >= 0.2.8
BuildPrereq: libdvdread-devel
BuildPrereq: mikmod
BuildPrereq: flac-devel >= 1.1.1
BuildPrereq: libogg-devel >= 1.0
BuildPrereq: libvorbis-devel >= 1.0
BuildPrereq: speex-devel
BuildPrereq: gcc-c++ >= 3.4.1-1m
BuildPrereq: faad2-devel, libsndfile-devel, lame-devel
BuildPrereq: libraw1394-devel >= 1.1.0

Prereq: GConf, gstreamer >= %{gstreamer_ver}
#%requires_eq gstreamer
%global gstreamer_mmm 0.8.8
%global gstreamer_mm %(echo %{gstreamer_mmm} | cut -d. -f1,2)
%define plugindir %{_libdir}/gstreamer-%{gstreamer_mm}/%{gstreamer_mmm}
# Requires: gstreamer >= %{gstreamer_mmm}
# Requires: gstreamer >= %{gstreamer_ver}

%description
GStreamer plugins.

%package devel
Summary: Libraries/include files for GStreamer streaming media framework.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

Requires: pkgconfig
Requires: GConf-devel
Requires: gstreamer-devel
Requires: gtk+-devel
Requires: gnome-vfs-devel
Requires: mjpegtools-devel
Requires: libraw1394-devel

%description devel
GStreamer plugins devel

%package additional
Summary: GStreamer streaming media framework plugins.
Group: System Environment/Libraries
Prereq: gstreamer >= %{gstreamer_ver}
Prereq: %{name} = %{version}-%{release}

Requires: gtk+
Requires: pango
Requires: gnome-vfs >= 2.6.0
Requires: SDL >= 1.2.7-9m
Requires: Hermes >= 1.3.0
Requires: arts >= %{artsver}
Requires: audiofile >= 0.2.1
Requires: cdparanoia >= alpha9.7
Requires: esound >= 0.2.8
Requires: libdvdread
Requires: mikmod
Requires: flac >= 1.1.1
Requires: libogg >= 1.0
Requires: libvorbis >= 1.0
Requires: speex

%description additional
GStreamer additional plugins

%prep
%setup -q
%ifarch ppc
%patch0 -p1
%endif
# %%patch1 -p1 -b .plugindir
# %%patch2 -p1

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --libdir=%{_libdir} \
  --localstatedir=%{_localstatedir} --disable-dvdnav \
  --disable-divx
%make plugindir=%{plugindir}

%install  
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall plugindir=%{buildroot}%{plugindir}

# remove
rm -f %{buildroot}%{plugindir}/*.la
rm -f %{buildroot}%{plugindir}/*.a
rm -f %{buildroot}%{_libdir}/gstreamer-%{gstreamer_mm}/*.la

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in gstreamer-%{gstreamer_mm}.schemas; do
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
/sbin/ldconfig

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in gstreamer-%{gstreamer_mm}.schemas; do
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%postun
/sbin/ldconfig

%post additional
export DISPLAY=''
%{_bindir}/gst-register --gst-plugin-path=%{plugindir} > /dev/null 2> /dev/null

%postun additional
export DISPLAY=''
%{_bindir}/gst-register --gst-plugin-path=%{plugindir} > /dev/null 2> /dev/null

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README RELEASE REQUIREMENTS
%{_sysconfdir}/gconf/schemas/gstreamer-%{gstreamer_mm}.schemas
%{_bindir}/gst-*
%{_mandir}/man1/gst-*.1*
%{_libdir}/*.so.*
%{_libdir}/gstreamer-%{gstreamer_mm}/*.so
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gstreamer-%{gstreamer_mm}/gst/*

%files additional
%defattr(-, root, root)
%dir %{plugindir}
%{plugindir}/*.so

%changelog
* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.8.8-2m)
- rebuild against libshout-2.1

* Fri Mar 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.8-1m)
- version 0.8.8

* Fri Mar 11 2005 Toru Hoshina <t@momonga-linux.org>
- (0.8.7-8m)
- rebuild against libraw1394.

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.7-7m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.7-6m)
- rebuild against SDL-1.2.7-9m

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.8.7-5m)
- rebuild with lame.

* Thu Feb  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-4m)
- use gstreamer_ver to correct BuildPrereq (thanks to smbd san)

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.7-3m)
- rebuild against libfame-0.9.1

* Sun Jan 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-2m)
- gst-plugins-additional 'Prereq' gst-plugins instead of 'Requires'

* Fri Jan  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-1m)
- version 0.8.7

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-2m)
- rebuild against flac 1.1.1

* Fri Nov 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-1m)
- version 0.8.6
- add ChangeLog and NEWS to %%doc
- BuildPrereq: flac-devel

* Sun Oct  3 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-2m)
- rebuild against libstdc++-3.4.2
- BuildPrereq: gcc-c++, arts-devel

* Mon Sep 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4
- add CFLAGS and CXXFLAGS
- change URL

* Sat Aug 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.1-8m)
- add BuildPrereq: speex-devel

* Sun Aug 15 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.8.1-7m)
- forgot to change BuildPrereq tag

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.1-6m)
- require version >= 0.8.1 not = 0.8.1

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.8.1-5m)
- rebuild against libdv-0.102

* Sun Jun 13 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.1-4m)
- add BuildPrereq: alsa-lib >= 1.0.5-2m

* Wed Jun  9 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.1-3m)
- disable divx4linux (--disable-divx)

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.1-2m)
- adjustment BuildPreReq

* Fri Apr 16 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1
- GNOME 2.6 Desktop
- change source URL
- remove Patch2: gst-plugins-0.6.4-alsa-lib-1.0.0-API_change.patch
- add gconftool-2 for gstreamer-%%{gstreamer_mm}.schemas in %%post and %%preun sections
- change location of %%changelog

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.6.4-3m)
- revised spec for enabling rpm 4.2.

* Sat Jan  3 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.6.4-2m)
- add patch to fix build problem(gst-plugins-0.6.4-alsa-lib-1.0.0-API_change.patch)

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.4-1m)
- version 0.6.4

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.3-1m)
- version 0.6.3

* Sun Jun 29 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.2-2m)
- add BuildPrereq: Hermes-devel for colorspace

* Tue Jun 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.2-1m)
- version 0.6.2

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.1-3m)
  rebuild against DirectFB 0.9.18

* Thu May 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.1-2m)
- rebuild against slang(utf8 version)

* Tue Apr 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Sat Mar 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-5m)
- rebuild against for XFree86-4.3.0

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-4m)
  rebuild against openssl 0.9.7a

* Tue Feb 25 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.0-3m)
  rebuild against libdvdread-0.9.4
  added Requires libdvdread

* Wed Feb 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.0-2m)
- rebuild against libshout-1.0.9

* Mon Feb 03 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-1m)
- version 0.6.0

* Thu Jan 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.2-1m)
- version 0.5.2

* Sun Jan 19 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (0.5.1-3m)
- add BuildPrereq: gstreamer-devel

* Thu Jan 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.1-2m)
- move plugindir

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.1-1m)
- version 0.5.1

* Fri Jan 3 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-4m)
- rebuild against for mjpegtools

* Wed Dec 18 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-3m)
- disable Nonfree portions (lame and dvdnav)

* Sun Dec 15 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-2m)
- remove '#include <sys/io.h>' on ppc
- revise for non-ix86

* Thu Dec 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.5.0-1m)
- version 0.5.0

* Mon Dec 02 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4.2-1m)
- version 0.4.2
